[Ocfs2-tools-commits] jlbec commits r1390 - branches/cman-based/vendor/common

svn-commits at oss.oracle.com svn-commits at oss.oracle.com
Thu Aug 16 13:25:22 PDT 2007


Author: jlbec
Date: 2007-08-16 13:25:21 -0700 (Thu, 16 Aug 2007)
New Revision: 1390

Modified:
   branches/cman-based/vendor/common/o2cb.init.sh
Log:

This version of tools will rely on umount.ocfs2 to clear heartbeat when
a volume is unmounted.  As such, we don't want the kernel calling
ocfs2_hb_ctl anymore.  Set /proc/sys/fs/ocfs2/nm/hb_ctl_path to "/bin/true".
This will be a noop, but will not break existing kernel modules.



Modified: branches/cman-based/vendor/common/o2cb.init.sh
===================================================================
--- branches/cman-based/vendor/common/o2cb.init.sh	2007-08-16 20:19:51 UTC (rev 1389)
+++ branches/cman-based/vendor/common/o2cb.init.sh	2007-08-16 20:25:21 UTC (rev 1390)
@@ -944,6 +944,18 @@
     mount_filesystem "ocfs2_dlmfs" "/dlm"
     if_fail $?
 
+    #
+    # This version of ocfs2-tools relies on umount.ocfs2, so we don't need
+    # to call ocfs2_hb_ctl from the kernel.  Given that older drivers may
+    # still want to, we have them just call /bin/true.
+    #
+    echo "/bin/true" >/proc/sys/fs/ocfs2/nm/hb_ctl_path
+    if [ $? != 0 ]
+    then
+        echo -n "Clearing kernel heartbeat control path: "
+        if_fail 1 "Unable to set hb_ctl_path"
+    fi
+
     case "$O2CB_STACK" in
         o2cb) load_heartbeat "disk" ;;
         heartbeat2) load_heartbeat "user" ;;




More information about the Ocfs2-tools-commits mailing list